Skip to main content
GET
/
v1
/
customers
List Customers
curl --request GET \
  --url https://api.spairehq.com/v1/customers/ \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "modified_at": "2023-11-07T05:31:56Z",
      "metadata": {},
      "external_id": "usr_1337",
      "email": "<string>",
      "email_verified": true,
      "name": "John Doe",
      "billing_address": {
        "line1": "<string>",
        "line2": "<string>",
        "postal_code": "<string>",
        "city": "<string>",
        "state": "<string>"
      },
      "tax_id": {
        "[0]": "<string>"
      },
      "organization_id": "<string>",
      "deleted_at": "2023-11-07T05:31:56Z",
      "avatar_url": "<string>",
      "type": "individual",
      "members": [
        {
          "id": "<string>",
          "created_at": "2023-11-07T05:31:56Z",
          "modified_at": "2023-11-07T05:31:56Z",
          "customer_id": "<string>",
          "email": "<string>",
          "name": "Jane Doe",
          "external_id": "usr_1337"
        }
      ]
    }
  ],
  "pagination": {
    "total_count": 123,
    "max_page": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.spairehq.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

You can generate a Personal Access Token from your settings.

Query Parameters

organization_id

Filter by organization ID. The organization ID.

Example:

"1dbfc517-0bbf-4301-9ba8-555ca42b9737"

email
string | null

Filter by exact email.

query
string | null

Filter by name, email, or external ID.

page
integer
default:1

Page number, defaults to 1.

limit
integer
default:10

Size of a page, defaults to 10. Maximum is 100.

sorting
enum<string>[] | null

Sorting criterion. Several criteria can be used simultaneously and will be applied in order. Add a minus sign - before the criteria name to sort by descending order.

Available options:
created_at,
-created_at,
email,
-email,
name,
-name
metadata
MetadataQuery · object

Filter by metadata key-value pairs. It uses the deepObject style, e.g. ?metadata[key]=value.

Response

Successful Response

items
CustomerWithMembers · object[]
required
pagination
Pagination · object
required